19-08-2026 = = Version 1.9.0 =
* Update: Varitaion image not changing in quick view issue resolved.
* Update: Shop page product hover image border issue resolved.
* Update: Style Improved.

07-08-2026 = = Version 1.8.10 =
* Update: Screenshot Updated.
* Update: Related product add to cart button not working issue resolved.

25-07-2026 = = Version 1.8.9 =
* Update: Style improved.

30-06-2026 = = Version 1.8.8 =
* Update: Style improved.
* Update: Quick View Variation Style improved.

10-06-2026 = = Version 1.8.7 =
* Update: New quick view added.
* Update: Single page style updated.
* Update: Old quick view removed.
* Update: Responsive style updated.
* Update: Quick view variation swatches style modified.

22-05-2026 = = Version 1.8.6 =
* Update: Theme tested with WordPress 7.0.

09-04-2026 = = Version 1.8.5 =
* Update: Woo cart compatibility added.
* Update: Woo cart style added.
* Update: Move to Top style issue resolved.
* Update: Single product style spacing improved.

31-03-2026 = = Version 1.8.4 =
* Update: Cart and checkout page design issue fixed.
* Update: Single product page mobile design issue fixed.
* Style Update.


09-03-2026 = = Version 1.8.3 =
* Update: Woocommerce mini-cart not working issue resolved.
* Update: Style improved and issues resolved.
* New: TH Store One added in recommended plugins.

07-03-2026 = = Version 1.8.2 =
* Update:  Style Update.
* Update: Compatible with old cart plugin.
* Update:  Range Value css modified.
* Update: Account action hook modified.
* Update: Style improved.

20-02-2026 = = Version 1.8.1 =
* Update:  Fixed Side Icons added.
* Update: Move to To & Cart icon in in fixed side icon made visible in lite theme also.

13-02-2026 = = Version 1.8.0 =
* Update:  Style updated.

13-02-2026 = = Version 1.7.9 =
* Update:  Add to cart float issue fixd

17-01-2026 = = Version 1.8.0 =
* Update: Svg Icons replaced.
* Update: Style updated & cart icon issue resolved.
* Update: Header icon structure updated and style modified.

14-01-2026 = = Version 1.7.9 =
* Update: Empty Categories on import issue reolved by modifying th_shop_mania_product_list_categories().

12-01-2026 = = Version 1.7.8 =
* Update: Categories not showing in mobile issue resolved.

06-01-2026 = = Version 1.7.7 =
* Update: social icon and mobile variation style issue resolved.


31-12-2025 = = Version 1.7.6 =
* New: RTL CSS Added.
* Update: Style updated.
* Update: Remove current-menu-item class from menu items with # links using add_filter('nav_menu_css_class', function ($classes, $item) {})


17-12-2025 = = Version 1.7.5 =
* Update: add_action('woocommerce_before_single_product_summary', 'th_shop_mania_prev_next_product', 0); commented.
* Style : variation style issue fixed.
* Fixed : wishlist and compare issue fixed.

12-12-2025 = = Version 1.7.4 =
* New: Wishlist double icon issue resolved.

25-11-2025 = = Version 1.7.3 =
* New: Move to top issue resolved.
* Update: Style updated.
* Category not displaying by default issue resolved.
* Update: Style changes.
* Update: Menu Icon replaced with svg.

25-11-2025 = = Version 1.7.2 =
* New: Move to top issue resolved.
* Update: Style updated.

09-11-2025 = = Version 1.7.1 =
* New: Circular Progress bar added in move to top.
* Update: Style issue resolved.
* New: New Enable options addded in header icons.

06-10-2025 = = Version 1.7.0 =
* Update: Add to cart loading issue resolved.
* Update: Quick View in shop page issue resolved.
* Update: Wishlist, variation style updated.

30-09-2025 = = Version 1.6.9 =
* Update: Single page gallery images hover issue resolved.
* Update: Elementor addons gallery images hover issue resolved.
* Update: page footEr and header style diffrent issue resolved.
* Update: Account dark mode input box style issue resolved.
* variation product home page cart or hand icon not show.


24-09-2025 = = Version 1.6.8 =
* Update: Single page gallery images hover issue resolved.

25-08-2025 = = Version 1.6.7 =
* Update: Modification in th_shop_mania_header_transparent_class disable transparent header for inner pages should work in all pages except frontpage.
* Variation product icon add to add button.

21-08-2025 = = Version 1.6.6 =
* Update: Below footer js code commented  // Below Footer code if made any changes in footer

19-08-2025 = = Version 1.6.5 =
1. TH COMPARE INETEGRATED.
2. Style Improved
3. Tested with latest PHP 8.3 / 8.4.
4. Tested with wordpress 6.8.
5. No open code present (__load_text_domain error)
6. TH Wishlist added in Option Panel.
7. Hooks added at after & before of haeder and footer also class added in these tags.
8. Product layouts style issue resolved.
9. Update: Header implementation through hooks using do_action( 'th_shop_mania_header' );
10. Update: Footer implementation through hooks using do_action( 'th_shop_mania_footer' );
11. Update: Absolute path in th-icon issue resolved.

02-08-2025 = = Version 1.6.4 =
* Update: Move to Top and header on woocommerce deactivation issue resolved.
* Update: Relative path removed from th-icon/fonts/style.css because with speedy cache plugin icons are not showing because of relative path. So it is best practice to use absolute path.
* Update: Move To Top logic changed.

21-07-2025 = = Version 1.6.3 =
* Update: woocommerce style product filters updated.
* New: Single product share button updated with copy link button functionality.

11-07-2025 = = Version 1.6.2 =
* Update: array( 'in_footer' => true, 'strategy'  => 'async',) attribute added in wp_enqueue_script.

08-07-2025 = = Version 1.6.1 =
* Update: Style improved.

27-06-2025 = = Version 1.6.0 =
* Update: woo-login-extend.php new created to make Woocommerce acoount field extend.
* Update: Woo-login extend showing popup after registration added.
* Update: Cart.php removed & new design added because every time when woocommerce updates it starts showing update your outdated template.
* Update: Color issues resolved.
* Update: Style updated.
* Update: Block Cart Page Style Updated.

18-06-2025 = = Version 1.5.15 =
* Update: Starter content code commented in init.php & in functions.php 
   // $thsm_starter_content = new Th_Shop_Mania_Starter_Content();
   // add_theme_support( 'starter-content', $thsm_starter_content->get() );

* add_action( 'wp_enqueue_scripts', 'th_shop_mania_blocks_library', 1005 ); added to support 
wp-block-library, wp-block-library-theme, wc-block-style ,wc-blocks-style.
* screenshot changed.

16-06-2025 = = Version 1.5.14 =
* Update: update description.

14-06-2025 = = Version 1.5.13 =
* Update: update description.
* Update: rtl issue fixed.

28-05-2025 = = Version 1.5.12 =
* Update: Tested with WooCommerce 9.8.5 and style updated.

16-04-2025  = Version 1.5.11 =
* Update: Tested with WordPress 6.8.

05-04-2025  = Version 1.5.10 =
* Update: WooCommerce issues resolved.
* Update: Decreased the space between variations and the add to cart button.
* Update: Decreased featured image bottom space.
* Update: Mobile view of the "Frequently Bought Together" section on the product single page.
* Update: Decreased space between variation and add to cart.
* Update: Prev Next icons not visible on single page in both PC and mobile.
* Update: Decrease line height of the Bottom footer text in mobile view.
* Update: _load_textdomain_just_in_time was called incorrectly issue resolved.
* Update: Theme tested with lates WordPress 6.8.

03-04-2025  = Version 1.5.9 =
* Update: WooCommerce issues resolved.

01-04-2025  = Version 1.5.8 =
* Update: Seo aria-label updated.

27-03-2025  = Version 1.5.7 =
* New: Changelog.txt added.
* Update Readme.txt updated.

= Version 1.5.6 =
* Update: Seo optimisation of images alt text , links.

= Version 1.5.5 =
* Update: Cart.php updated.

= Version 1.5.4 =
* Update: Archive page sidbar new condition added.

= Version 1.5.3 =
* Update: Admin banner ajax issue resolved.
* Fix: Customizer Issue resolved.
* Update: Woocommerce/cart/cart.php updated.
* Fix: meta-box undefined error resolved.

= Version 1.5.2 =
* New: New wishlist integrated.

= Version 1.5.1 =
* Update: Customizer optimsation.
* Fixed: Border removed on hover.
* Fixed: Style improved.

= Version 1.5.0 =
* Fixed: Security issue fixed.

= Version 1.4.9 =
* Update: Woocommerce single product count-down dependency removed.

= Version 1.4.8 =
* Update: SIdebar is falling down on acrchive page issue resolved.
* Update: Remove Category option in responsive views.

= Version 1.4.7 =
* New: Cookies added in admin banner.
* Update: Conditions added in admin banner.

= Version 1.4.6 =
* New: Admin area Plugin activation added.
* New Custmizer plugin activation added.
* Update: Below footer anchor rel added.

= Version 1.4.5 =
* Update: .woocommerce-demo-store .th-shop-mania-site margin css removed.
* Update: New theme.json version 3 added.
* Update: Style improved.
* Update: Block Patterns removed.

= Version 1.4.4 =
* Update: Theme tested with WordPress 6.6.

= Version 1.4.3 =
* Fixed: Shop loop Variation issue fixed.

= Version 1.4.2 =
* New: Starter Content Added.

= Version 1.4.1 =
* Update: Prefix added in th-icon style.

= Version 1.4.0 =
* Update: Style update.
* Update: Connect premium plugin.

= Version 1.3.9 =
* Update: Style update.
* Update: X share issue fixed.
* Update: Shop Mania Pro install feature added.
* Update: Move to top icon changed.
* New: New icon added in th-icon.


= Version 1.3.8 =
* Update: Style updated.
* Update: Advance Slider Elementor addon Improve;

= Version 1.3.7 =
* Update: Remove quantity button when only 1 product remaining in stock;
* Update: Catlog Thumbnail Image size added;

= Version 1.3.6 =
* Update: No Shortcode issue resolved.

= Version 1.3.5 =
* Update:Warning: Attempt to read property "ID" on null resolved.

= Version 1.3.4 =
* Update: Menu close transaltion issue resolved.
* Update: Menu with brizy plugin issue resolved.

= Version 1.3.3 =
* Update: TH Woo Cart Pro integrated.

= Version 1.3.2 =
* Update: Multiple h1 tag issue reolved.

= Version 1.3.1 =
* Update: Style Modification.

= Version 1.3.0 =
* Update: Header Style Issue Resolved.
* Update: Ultimate Product slider navigation position issue resolved.


= Version 1.2.9 =
* New: Extra product options For WooCommerce style compatibility added.


= Version 1.2.8 =
* Background color Changed in JSON.
* WooCommerce plugin added in recommended.
* Tickera Plugin removed from recommended.

= Version 1.2.7 =
* Theme JSON file updated with fontSize.
* Blank Template Added.
* Tags Added.
* Style modification.
* Style modification.

= Version 1.2.6 =
* Taxonomy added in get_terms.
* screenshot changed.

= Version 1.2.5 =
* Block Patterns added.
* Tickera Plugin Integrated.

= Version 1.2.4 =
* Pattern issues resolved.

= Version 1.2.3 =
* Pattern Added.

= Version 1.2.2 =
* WooCommerce > Cart.php modification. 

= Version 1.2.1 =
* Version Update.

= Version 1.2 =
* Update - Footer Text modified.
* Update - Version Updated.
* Update - Recoomended plugin modification.
* Update - Gallery Slider Layout issue resolved.
* Update - Shop Page Load More Issue resolved.
* Update - Pro features modifications in Th Shop Mania Options.
* Update - Pro Compatibility issue resolved.
* Update - Cart Page Style.
* Update - Related , Upsell Product issue in lite theme.

= Version 1.1.8 =
* Update - Theme checked and completed.
* Update - Below footer settings removed.

= Version 1.1.7 =
* Update - Mobile Sticky Header Style Improved.
* Update - Wishlist Text issue resolved.
* Update - Popup Login 1nd login issue resolved.
* Update - Single Page Button center aliggn issue resolved.
* Update - Coupon Style issue resolved in responsive.
* Update - Load More text not changing issue resolved.
* Update - Search Issue in reponsive not working resolved.
* New	 - Mania Companion plugin working tested with theme. 
* Update - Keyboard Navigation completed.

= Version 1.1.6 =
* Update - Standard Checkout page issue resolved.
* Update - Style issues resolved.
* New - Popup Login 2nd layout integrated.
* New - Blog Excerpt work.
* Update - Blog Layout Modification.
* Update - Blog Single style Work.
* New - 404 Page layout Added.
* Update - 404 Page Modification.
* Update - Logo Max-width added in responsive.
* Update - issues resolved.

= Version 1.1.5 =
* Update - TH Search Suggestion issue resolved.
* Update - Iframe CSS Removed.
* Update - Z-Index Removed from header.

= Version 1.1.4 =
* Version Updated.
* Update - Product Image in block style added.
* New - TH Product Compare pro plugin integrated.
* Update - TH Advance Search z-index increased.
* Update - TH Search Pro Integrated.
* Update - Admin Bar style.
* Update - Search Issue resolved.

= Version 1.1.3 =
* New - Slider in single product page added.
* New - Option for button size in single product added.
* New - Loader Time is set 10second for default.
* New - Max Mega Menu Plugin Compatibility Added.
* New - WPML Plugin Compatibility Added.
* Update - Style issues resolved.
* Update - Plugin Ads removed from admin area.
* Update - Single product page by default no-sidebar issue resolved.
* New - Two Column Single Page Layot Added.
* Resolved - Warning Attempt to read property "ID" on Header & Footer.
* New - WooCommerce new block style.
* Padding option added.
* Update - WooCommerce new block style improved.

= Version 1.1.2 =
* Theme optimisation work and icons changed.
* Comments removed from specific files.
* New - Product Gallery slider added.


= Version 1.1.1 =
* Issues resolved.

= Version 1.1.0 =
* Auto Update code remove.

= Version 1.0.8 =
* Issues resolved.

= Version 1.0.7 =
* Style Issues resolved.

= Version 1.0.6 =
* Style Changes.

= Version 1.0.5 =
* Icon sissue in header resolved.

= Version 1.0.4 =
* Theme Update checker feature added.
* Header Icon style.
* Mobile Menu issue rsolved.

= Version 1.0.3 =
* Latest update

= Version 1.0.2 =
* Active theme api added.

= Version 1.0.1 =
* Import Demo text changed.	
* White Label Link removed.

= Version 1.0.0 =
* Initial release